--------------------------------------------------------------------------------
MTFrameBuffer = { _id = nil, _width = 0, _height = 0 }

function MTFrameBuffer:new()
	local o = {}
	setmetatable(o, self)
	self.__index = self
	return o
end

function MTFrameBuffer:resize(name, width, height)
	if self._width ~= width or self._height ~= height then
		print("MTFrameBuffer:resize " .. self._width .. " " .. self._height .. " " .. width .. " " .. height)
		self._id = FrameBuffer.create(name, width, height, Texture.RGBA)
		self._id:bind()
		local game = Game.getInstance()
		game:clear(Game.CLEAR_COLOR, 0, 0, 0, 1, 1.0, 0)
		self._width = width
		self._height = height
	end
end

function MTFrameBuffer:getSampler()
	local sampler = Texture.Sampler.create(self._id:getRenderTarget():getTexture())
	sampler:setWrapMode(Texture.CLAMP, Texture.CLAMP, Texture.CLAMP)
	return sampler
end

function MTFrameBuffer:bind()
	self._id:bind()
end

function MTFrameBuffer:getInstance()
	return self._id
end

function MTFrameBuffer:getWidth()
	return self._width
end

function MTFrameBuffer:getHeight()
	return self._height
end

function MTFrameBuffer:release()
	self._id = nil
end









